## padatious 0.4.8

=== requirements.txt ===
fann2
xxhash
padaos

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = Padatious
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
padatious (0.4.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 14:11:28 +0200

padatious (0.4.8-2) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * python3-padatious is Architecture: all, not Architecture: any
  * Add missing Copyright statement

 -- Wouter Verhelst <wouter@debian.org>  Sat, 21 Jan 2023 11:28:20 +0200

padatious (0.4.8-1) unstable; urgency=medium

  * Initial release.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 01 Jun 2021 15:25:23 +0200

=== debian/control ===
Source: padatious
Section: python
Priority: optional
Maintainer: Wouter Verhelst <wouter@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-fann2, python3-padaos, python3-xxhash, python3-pytest, libfann-dev, python3-all-dev, python3-sphinx, python3-sphinx-rtd-theme
Standards-Version: 4.6.1
Homepage: https://github.com/MycroftAI/padatious
Vcs-Browser: https://salsa.debian.org/mycroft-team/padatious
Vcs-Git: https://salsa.debian.org/mycroft-team/padatious.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-padatious
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-padatious-doc
Description: An efficient and agile neural network intent parser
 Padatious is a machine-learning, neural-network based intent parser. It
 is an alternative to the Adapt intent parser. Unlinke adapt, which uses
 small groups of unique words, Padatious is trained on the sentence as a
 whole.
 .
 Padatious has a number of key benefits over other intent parsing technologies.
 .
  * With Padatious, Intents are easy to create
  * The machine learning model in Padatious requires a relatively small
    amount of data
  * Machine learning models need to be trained. The model used by
    Padatious is quick and easy to train.
  * Intents run independently of each other. This allows quickly
    installing new skills without retraining all other skill intents.
  * With Padatious, you can easily extract entities and then use these
    in Skills. For example,
    "Find the nearest gas station" -> { "place":"gas station" }
 .
 This package installs the library for Python 3.

Package: python-padatious-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for python3-padatious
 This package contains the API documentation for python3-padatious.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=padatious

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# If you need to rebuild the Sphinx documentation
# Add sphinxdoc to the dh --with line
#
# And uncomment the following lines
override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%padatious-$1.tar.gz%" \
   https://github.com/MycroftAI/padatious/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
